%define rname   rake

Summary:    Simple ruby build program with capabilities similar to make
Name:       ruby-%{rname}
Version:    12.3.0
Release:    %mkrel 21
License:    MIT
Group:      Development/Ruby
URL:        http://rake.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{rname}-%{version}.gem
Patch0:     CVE-2020-8130.patch
BuildArch:  noarch
BuildRequires: rubygems
BuildRequires: ruby-json

%description
This package contains Rake, a simple ruby build program with capabilities
similar to make.


%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install

# Install manpage
mkdir -p %{buildroot}%{_mandir}/man1/
install doc/%{rname}.1 %{buildroot}%{_mandir}/man1/rake.1

%files
%{_bindir}/rake
%{_mandir}/man1/%{rname}.1*
%{gem_instdir}/
%doc %{gem_docdir}
%doc README.rdoc MIT-LICENSE
%doc %{gem_instdir}/doc/
%{gem_spec}


%changelog
* Wed Mar 04 2020 pterjan <pterjan> 12.3.0-21.mga7
+ Revision: 1553845
- Update to 12.3.0 (which is the version built as part of ruby package in Mageia 7) + patch for CVE-2020-8130.patch
- Drop obsolete comment
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 pterjan <pterjan> 10.4.2-9.mga6
+ Revision: 895019
- Fix build, manpage is no longer compressed
- Add missing BuildRequires
- Update to 10.4.2

* Wed Oct 15 2014 umeabot <umeabot> 10.3.1-3.mga5
+ Revision: 739256
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 10.3.1-2.mga5
+ Revision: 688921
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 pterjan <pterjan> 10.3.1-1.mga5
+ Revision: 641946
- 10.3.1

* Sat Dec 28 2013 pterjan <pterjan> 10.0.4-6.mga4
+ Revision: 561687
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 10.0.4-5.mga4
+ Revision: 535227
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 10.0.4-4.mga4
+ Revision: 481735
- Drop _requires_exceptions

* Fri Sep 20 2013 pterjan <pterjan> 10.0.4-3.mga4
+ Revision: 481711
- Disable ruby-abi dependency for ruby 2 transition

* Sun Sep 15 2013 pterjan <pterjan> 10.0.4-2.mga4
+ Revision: 479022
- Fix file list
- Use gem_setup

* Sun Jun 02 2013 pterjan <pterjan> 10.0.4-1.mga4
+ Revision: 435450
- Update to 10.0.4

* Fri Feb 08 2013 umeabot <umeabot> 0.9.2.2-4.mga3
+ Revision: 396353
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.9.2.2-3.mga3
+ Revision: 381336
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 0.9.2.2-2.mga3
+ Revision: 311933
- rebuild for new ruby

* Thu Jun 07 2012 solbu <solbu> 0.9.2.2-1.mga3
+ Revision: 256942
- New version
- Spec cleanup

* Tue Jan 18 2011 shikamaru <shikamaru> 0.8.7-3.mga1
+ Revision: 23334
- Clean spec
- fix source link
- kill definition of buildroot
- delete useless provides (automatically added)
- use gem macros to build the package
- imported package ruby-rake

